Qt 5.6 | Qt Multimedia | C++ Classes | QCameraLocksControl

Qt 5.6.2 Reference Documentation

# QCameraLocksControl Class

The QCameraLocksControl class is an abstract base class for classes that control still cameras or video cameras. More...

Header: | #include <QCameraLocksControl>
qmake: | QT += multimedia
Inherits: | QMediaControl

- List of all members, including inherited members

## Public Functions

| ~QCameraLocksControl()
virtual QCamera::LockStatus | lockStatus(QCamera::LockType lock) const = 0
virtual void | searchAndLock(QCamera::LockTypes locks) = 0
virtual QCamera::LockTypes | supportedLocks() const = 0
virtual void | unlock(QCamera::LockTypes locks) = 0

- 31 public functions inherited from QObject

## Signals

void | lockStatusChanged(QCamera::LockType lock, QCamera::LockStatus status, QCamera::LockChangeReason reason)

- 2 signals inherited from QObject

## Protected Functions

| QCameraLocksControl(QObject *parent = Q_NULLPTR)

- 9 protected functions inherited from QObject

## Macros

| QCameraLocksControl_iid

### Additional Inherited Members

- 1 property inherited from QObject
- 1 public slot inherited from QObject
- 1 public variable inherited from QObject
- 10 static public members inherited from QObject
- 2 protected variables inherited from QObject

## Detailed Description

The QCameraLocksControl class is an abstract base class for classes that control still cameras or video cameras.

This service is provided by a QMediaService object via QMediaService::control(). It is used by QCamera.

The interface name of QCameraLocksControl is `org.qt-project.qt.cameralockscontrol/5.0` as defined in QCameraLocksControl_iid.

See also QMediaService::requestControl() and QCamera.

## Member Function Documentation

### `[protected]` QCameraLocksControl::QCameraLocksControl(QObject *parent = Q_NULLPTR)

Constructs a camera locks control object with parent.

### QCameraLocksControl::~QCameraLocksControl()

Destruct the camera locks control object.

### `[pure virtual]` QCamera::LockStatus QCameraLocksControl::lockStatus(QCamera::LockType lock) const

Returns the camera lock status.

### `[signal]` void QCameraLocksControl::lockStatusChanged(QCamera::LockType lock, QCamera::LockStatus status, QCamera::LockChangeReason reason)

Signals the lock status was changed with a specified reason.

### `[pure virtual]` void QCameraLocksControl::searchAndLock(QCamera::LockTypes locks)

Request camera locks.

### `[pure virtual]` QCamera::LockTypes QCameraLocksControl::supportedLocks() const

Returns the lock types, the camera supports.

### `[pure virtual]` void QCameraLocksControl::unlock(QCamera::LockTypes locks)

Unlock camera locks.

## Macro Documentation

### QCameraLocksControl_iid

`org.qt-project.qt.cameralockscontrol/5.0`

Defines the interface name of the QCameraLocksControl class.